Bug 728030 - Missing entries in /etc/securetty for hvc0 and hvsi0
Missing entries in /etc/securetty for hvc0 and hvsi0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
16
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 20:41 EDT by Tony Breeds
Modified: 2011-09-10 21:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: setup-2.8.36-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-10 21:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add hvsi0 and hvc0 to securetty (178 bytes, patch)
2011-08-03 20:41 EDT, Tony Breeds
no flags Details | Diff

  None (edit)
Description Tony Breeds 2011-08-03 20:41:23 EDT
Created attachment 516596 [details]
Add hvsi0 and hvc0 to securetty

I recently installed Fedora 16/Rawhide on my power5 system, After getting systemd to spawn a getty on the console (hvsi0) [separate issue], I was unable to log in as root on said getty.

Adding entries "hvsi0" to the securetty fixes this.  Also I believe that "hvc0" is needed for other powerpc systems and virtual guests.
Comment 1 Fedora Update System 2011-08-23 07:25:39 EDT
setup-2.8.36-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/setup-2.8.36-2.fc16
Comment 2 Fedora Update System 2011-08-23 09:30:50 EDT
Package setup-2.8.36-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing setup-2.8.36-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/setup-2.8.36-2.fc16
then log in and leave karma (feedback).
Comment 3 Tony Breeds 2011-08-30 21:19:01 EDT
The securetty changes look good for powerpc.  I had to compile it up locally as the powerpc builders are a little behind ;P
Comment 4 Fedora Update System 2011-09-10 21:45:14 EDT
setup-2.8.36-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.